### Method

# EBookContacts SourceBackendSummarySetup set_summary_fields

since: 3.8

#### Declaration [src]

    void
    e_source_backend_summary_setup_set_summary_fields (
      ESourceBackendSummarySetup* extension,
      ...
    )

#### Description [src]

Like e_source_backend_summary_setup_set_summary_fieldsv(), but takes a literal list of `EContactFields` for convenience.

To configure the address book summary fields with main phone nubmer fields:

      #include <libebook/libebook.h>

      ESourceBackendSummarySetup *extension;

      extension = e_source_get_extension (source, E_SOURCE_EXTENSION_BACKEND_SUMMARY_SETUP);

      e_source_backend_summary_setup_set_summary_fields (extension, E_CONTACT_FULL_NAME, E_CONTACT_EMAIL, 0);

Available since: 3.8

This method is not directly available to language bindings.

Sets property | `EBookContacts.SourceBackendSummarySetup:summary-fields`

#### Parameters

`...`

  Type: ``

  A 0 terminated list of `EContactFields` to set as summary fields.